package com.ruoyi.system.service.impl;


import com.ruoyi.system.domain.*;
import com.ruoyi.system.mapper.*;
import com.ruoyi.system.service.IApproveUserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
/**
 * 用户 业务层处理
 * 
 * @author ruoyi
 */
@Service
public class ApproveUserServiceImpl implements IApproveUserService {
    private static final Logger log = LoggerFactory.getLogger(ApproveUserServiceImpl.class);

    @Autowired
    private ApproveUserMapper approveUserMapper;

    /**
     * 根据条件分页查询用户列表
     *
     * @param user 用户信息
     * @return 用户信息集合信息
     */
    @Override
    public List<ApproveUser> selectApproveUserList(ApproveUser user) {
        return approveUserMapper.selectApproveUserList(user);
    }
    @Override
    public int insertApproveUsers(List<ApproveUser> user) {
        return approveUserMapper.insertApproveUsers(user);
    }

    @Override
    public int updateApproveUsers(List<ApproveUser> user) {
        return approveUserMapper.updateApproveUsers(user);
    }
   @Override
    public void deleteApproveUserByUserId(Long userId){
        approveUserMapper.deleteApproveUserByUserId(userId);
    }
    @Override
    public void deleteApproveUserByDeptId(Long deptId){
        approveUserMapper.deleteApproveUserByDeptId(deptId);
    }
    @Override
    public void deleteApproveUser(){
        approveUserMapper.deleteApproveUser();
    }
    @Override
    public List<Long> findApproveUser(){
        return approveUserMapper.findApproveUser();
    }
    @Override
    public List<Long> findApproveUserByDeptId(Long deptId){
        return approveUserMapper.findApproveUserByDeptId(deptId);

    }
}
